> For the complete documentation index, see [llms.txt](https://developers.alephee.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.alephee.com/v2/orders/logical-model/approved-payments-and-pending-payments.md).

# Approved payments and pending payments

By default, Alephee works with orders having a marketplace/channel approved payment. Only approved payments.

A payment is approved when the marketplace/channel was able to obtain the necessary funds from the customer to satisfy the payment on the fly, instantly.

Orders with pending payments are orders with *deferred-in-time* payments such as cash money with delayed approval, bank transfers with large approval time, and brokers like “Pago fácil”, “Rapipago” and others… all with no instant-approved payment.

Some users need to handle this type of orders and payments. Most users do not.

Please note that not all customers have the Alephee’s “Handle payments without approved payments” privilege activated.

Only customers who specifically requested to work with these types of orders have this feature connected and available for use. In this scenario, the status of some payment may be “pending” and later will change to “approved”.

One more time for good luck…By default, Alephee and this endpoint works only with orders that have a previously approved payment.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.alephee.com/v2/orders/logical-model/approved-payments-and-pending-payments.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
